use crate::model::{PackType, PackingContext};
use magnetar_model::ck;
use magnetar_sdk::types::emoji::EmojiBase;

impl PackType<&ck::emoji::Model> for EmojiBase {
    fn extract(_context: &PackingContext, emoji: &ck::emoji::Model) -> Self {
        EmojiBase {
            shortcode: emoji.name.clone(),
            category: emoji.category.clone(),
            url: emoji.public_url.clone(),
            width: emoji.width,
            height: emoji.height,
        }
    }
}
